Package org.apache.commons.net.imap

# Enum IMAPClient.FETCH_ITEM_NAMES

java.lang.Object
java.lang.Enum<IMAPClient.FETCH_ITEM_NAMES>
org.apache.commons.net.imap.IMAPClient.FETCH_ITEM_NAMES

All Implemented Interfaces:
  `Serializable`, `Comparable<IMAPClient.FETCH_ITEM_NAMES>`

Enclosing class:
  `IMAPClient`

public static enum IMAPClient.FETCH_ITEM_NAMES extends Enum<IMAPClient.FETCH_ITEM_NAMES>
The message data item names for the FETCH command defined in RFC 3501.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Macro equivalent to: (FLAGS INTERNALDATE RFC822.SIZE ENVELOPE).
  `BODY`
  Non-extensible form of BODYSTRUCTURE or the text of a particular body section.
  `BODYSTRUCTURE`
  The [MIME-IMB] body structure of the message.
  `ENVELOPE`
  The envelope structure of the message.
  `FAST`
  Macro equivalent to: (FLAGS INTERNALDATE RFC822.SIZE).
  `FLAGS`
  The flags that are set for this message.
  `FULL`
  Macro equivalent to: (FLAGS INTERNALDATE RFC822.SIZE ENVELOPE BODY).
  `INTERNALDATE`
  The internal date of the message.
  `RFC822`
  A prefix for RFC-822 item names.
  `UID`
  The unique identifier for the message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IMAPClient.FETCH_ITEM_NAMES`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static IMAPClient.FETCH_ITEM_NAMES[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final IMAPClient.FETCH_ITEM_NAMES ALL
    Macro equivalent to: (FLAGS INTERNALDATE RFC822.SIZE ENVELOPE).

  - ### FAST

    public static final IMAPClient.FETCH_ITEM_NAMES FAST
    Macro equivalent to: (FLAGS INTERNALDATE RFC822.SIZE).

  - ### FULL

    public static final IMAPClient.FETCH_ITEM_NAMES FULL
    Macro equivalent to: (FLAGS INTERNALDATE RFC822.SIZE ENVELOPE BODY).

  - ### BODY

    public static final IMAPClient.FETCH_ITEM_NAMES BODY
    Non-extensible form of BODYSTRUCTURE or the text of a particular body section.

  - ### BODYSTRUCTURE

    public static final IMAPClient.FETCH_ITEM_NAMES BODYSTRUCTURE
    The [MIME-IMB] body structure of the message.

  - ### ENVELOPE

    public static final IMAPClient.FETCH_ITEM_NAMES ENVELOPE
    The envelope structure of the message.

  - ### FLAGS

    public static final IMAPClient.FETCH_ITEM_NAMES FLAGS
    The flags that are set for this message.

  - ### INTERNALDATE

    public static final IMAPClient.FETCH_ITEM_NAMES INTERNALDATE
    The internal date of the message.

  - ### RFC822

    public static final IMAPClient.FETCH_ITEM_NAMES RFC822
    A prefix for RFC-822 item names.

  - ### UID

    public static final IMAPClient.FETCH_ITEM_NAMES UID
    The unique identifier for the message.

- ## Method Details

  - ### values

    public static IMAPClient.FETCH_ITEM_NAMES[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IMAPClient.FETCH_ITEM_NAMES valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null